<?php

require('tar.php');

$theme=@$_SERVER['QUERY_STRING'];

$archive = &new Archive_Tar($theme);

$deskside_file=$archive->extractInString('Theme.xml');

$image_puth=simplexml_load_string($deskside_file)->Standby_image['Source'] or simplexml_load_string($deskside_file)->Desktop_image['Source'];

$image_string = $archive->extractInString($image_puth);

header("Content-type:image/jpeg");

print $image_string;

?>

